<?php
/*
Plugin Name: Checkatrade Widget
Plugin URI:  https://codesauce.co.uk/checkatrade-widget/
Description: Display your Checkatrade rating on your website
Version: 0.0.1
Author: Codesauce
Author URI: https://codesauce.co.uk/
Text Domain: cscw
*/










// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit; 







// Add widget stylesheet
function cscw_load_plugin_css() {
    $plugin_url = plugin_dir_url( __FILE__ );

    wp_enqueue_style( 'cscw-widget-stylesheet', $plugin_url . 'cscw.css' );
}
add_action( 'wp_enqueue_scripts', 'cscw_load_plugin_css' );
















/* *******************************
Widget One: Feedback Chart 
******************************* */


// Creating the widget 
class cscw_one_widget extends WP_Widget {


function __construct() {
parent::__construct(


// Base ID of your widget
'cscw_one_widget', 


// Widget name will appear in UI
__('Checkatrade Chart', 'widget_domain'), 


// Widget description
array( 'description' => __( 'Display Checkatrade Feedback Chart Widget', 'widget_domain' ), ) 
);
}


// Creating widget front-end
public function widget( $args, $instance ) {
$BusinessName = apply_filters( 'widget_title', $instance['title'] );


// This is where you run the code and display the output
echo $args['after_widget'];
echo '<div class="cscw-one-checkatrade-feedback-chart-widget">
		<a href="http://www.checkatrade.com/' . $BusinessName . '" target="_blank" rel="nofollow">
			<img src="http://www.checkatrade.com/Reputation/APIChart/' . $BusinessName . '.png" 
			     alt="Checkatrade Rating for ' . $BusinessName . '"/>
		</a>
	  </div>';
}
	

// Widget Backend 
public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
		$BusinessName = $instance[ 'title' ];
	}
	else {
		$BusinessName = __( 'New title', 'widget_domain' );
	}
// Widget admin form
?>


<p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>">
		<?php _e( 'Enter your Checkatrade company name here, i.e. as it appears at the end of your Checkatrade profile URL' ); ?>
	</label> 
	<br></br>
	<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $BusinessName ); ?>" />
</p>


<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
	return $instance;
	}
} // Class cscw_one_widget ends here


// Register and load the widget
function cscw_one_load_widget() {
	register_widget( 'cscw_one_widget' );
}
add_action( 'widgets_init', 'cscw_one_load_widget' );
 















/* *******************************
Widget Two: Feedback Summary
******************************* */
 
// Creating the widget 
class cscw_two_widget extends WP_Widget {


function __construct() {
parent::__construct(


// Base ID of your widget
'cscw_two_widget', 


// Widget name will appear in UI
__('Checkatrade Summary', 'widget_domain'), 


// Widget description
array( 'description' => __( 'Display Checkatrade Summary Chart Widget', 'widget_domain' ), ) 
);
}


// Creating widget front-end
public function widget( $args, $instance ) {
$BusinessName = apply_filters( 'widget_title', $instance['title'] );


// This is where you run the code and display the output
echo $args['after_widget'];
echo '<div class="cscw-two-checkatrade-feedback-summary-widget">
		<a href="http://www.checkatrade.com/' . $BusinessName . '" target="_blank" rel="nofollow">
   			<img src="http://www.checkatrade.com/Reputation/Api/' . $BusinessName . '.png" 
   				 alt="Checkatrade information for ' . $BusinessName . '"/>
		</a>
	  </div>';
}
	

// Widget Backend 
public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
		$BusinessName = $instance[ 'title' ];
	}
	else {
		$BusinessName = __( 'New title', 'widget_domain' );
	}
// Widget admin form
?>


<p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>">
		<?php _e( 'Enter your Checkatrade company name here, i.e. as it appears at the end of your Checkatrade profile URL' ); ?>
	</label> 
	<br></br>
	<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $BusinessName ); ?>" />
</p>


<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
	return $instance;
	}
} // Class cscw_two_widget ends here


// Register and load the widget
function cscw_two_load_widget() {
	register_widget( 'cscw_two_widget' );
}
add_action( 'widgets_init', 'cscw_two_load_widget' );













/* *******************************
Widget Three: Checkatrade Logo
******************************* */


// Creating the widget 
class cscw_three_widget extends WP_Widget {


function __construct() {
parent::__construct(


// Base ID of your widget
'cscw_three_widget', 


// Widget name will appear in UI
__('Checkatrade Logo', 'widget_domain'), 


// Widget description
array( 'description' => __( 'Display Checkatrade Logo Widget', 'widget_domain' ), ) 
);
}


// Creating widget front-end
public function widget( $args, $instance ) {
$BusinessName = apply_filters( 'widget_title', $instance['title'] );


// This is where you run the code and display the output
echo $args['after_widget'];
echo '<div class="cscw-three-checkatrade-logo-widget">
		<a href="http://www.checkatrade.com/' . $BusinessName . '" target="_blank" rel="nofollow">
   			<img src="http://www.checkatrade.com/Images/ProudMembersOfCAT-230x60.jpg" 
   				 alt="Checkatrade information for ' . $BusinessName . '"/>
		</a>
	  </div>';
}
	

// Widget Backend 
public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
		$BusinessName = $instance[ 'title' ];
	}
	else {
		$BusinessName = __( 'New title', 'widget_domain' );
	}
// Widget admin form
?>


<p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>">
		<?php _e( 'Enter your Checkatrade company name here, i.e. as it appears at the end of your Checkatrade profile URL' ); ?>
	</label> 
	<br></br>
	<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $BusinessName ); ?>" />
</p>


<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
	return $instance;
	}
} // Class cscw_three_widget ends here


// Register and load the widget
function cscw_three_load_widget() {
	register_widget( 'cscw_three_widget' );
}
add_action( 'widgets_init', 'cscw_three_load_widget' );





























?>